<!DOCTYPE html>
<html>
<head>
  <title>Transaction History</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
    <style type="text/css">
          table {
            border-collapse: collapse;
            width: 80%;


          }

          th, td {
            text-align: left;
            padding: 10px;


          }

          tr:nth-child(even) {
          background-color: #f2f2f2;

          }

          td.end{
            border-bottom-style: solid;
            border-bottom-width: thin;

          }
          h1{
            padding : 20px
          }

         /* Style the tab */
        .tab {
          overflow: hidden;
          border: 1px solid #ccc;
          background-color: #f1f1f1;
        }

        /* Style the buttons that are used to open the tab content */
        .tab button {
          background-color: inherit;
          float: left;
          border: none;
          outline: none;
          cursor: pointer;
          padding: 14px 16px;
          transition: 0.3s;
        }

        /* Change background color of buttons on hover */
        .tab button:hover {
          background-color: #ddd;
        }

        /* Create an active/current tablink class */
        .tab button.active {
          background-color: #ccc;
        }

        /* Style the tab content */
        .tabcontent {
          display: none;
          padding: 6px 12px;
          border: 1px solid #ccc;
          border-top: none;
        }
     </style>

</head>
<body>
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <a class="navbar-brand">Entry Task
        {% if messages %}
          <ul class="messages" style="font-size:14px;">
            {% for message in messages %}
            {{ message }}
            {% endfor %}
          </ul>{% endif %}
      </a>
    </div>
    <ul class="nav navbar-nav">
      <li ><a href="{% url 'home' %}">Home</a></li>
      <li class="active"><a href="{% url 'transferhistory' %}">Transaction History</a></li>
      <li><a href="{% url 'topuphistory' %}">Top Up History</a></li>
      <li><a href="{% url 'transfer' %}">Transaction</a></li>
      <li><a href="{% url 'topup' %}">Top Up</a></li>
      <li><a href="{% url 'logout' %}">Logout</a></li>
    </ul>
  </div>
</nav>
<h1><u>Transfer History</u></h1>

    <div class="container">
        <table class="striped" style="font-size:20px;">
            <tr class="header">
                <td><b>Transaction from Username</b></td>
                <td><b>Transaction to Username</b></td>
                <td><b>Transaction Amount</b></td>
                <td><b>Transaction Time</b></td>
                <td><b>Transaction Status</b></td>
            </tr>
            {% for gettransferhistorys in gettransferhistory  %}
                <tr>
                    <td>{{gettransferhistorys.transaction_from_username}}</td>
                    <td>{{gettransferhistorys.transaction_to_username}}</td>
                    <td>{{gettransferhistorys.transaction_amount}}</td>
                    <td>{{gettransferhistorys.transaction_time}}</td>
                    <td>{{gettransferhistorys.transaction_status}}</td>
                </tr>
            {% endfor %}
        </table>
    </div>
</body>
</html>
